Name: powermanga
Version: 0.78
Release: alt1.1
Summary: Shoot them up with 3d graphics

License: Artistic
Group: Games/Arcade

Source: http://www.tlk.fr/lesjeux/%name-%version.tar.bz2
Source10: %name.16.png
Source11: %name.32.png
Source12: %name.48.png

ExclusiveArch: %ix86
URL: http://www.tlk.fr/jeu.php?ref=powli

# Automatically added by buildreq on Mon Oct 27 2003 (-bi)
BuildRequires: XFree86-devel XFree86-libs aalib esound gcc-c++ libSDL-devel libSDL_mixer-devel libalsa libarts libaudiofile libogg libslang libsmpeg libstdc++-devel libvorbis

%description
In this shoot them up with 3d graphics, you'll have to face and destroy
more than 60 different types of opponents. Nice musics, many weapons, and
a ton of surprises..

%prep
%setup -q
%__subst "s,/var/games,%_localstatedir/games,g" src/Makefile.in

%build
%configure  --mandir=%_man6dir
%make

%install
make install DESTDIR=$RPM_BUILD_ROOT PREFIX=$RPM_BUILD_ROOT/%prefix

mkdir -p $RPM_BUILD_ROOT/%_menudir
cat << EOF > $RPM_BUILD_ROOT/%_menudir/%name
?package(%name):command="%_bindir/soundwrapper %_gamesbindir/%name" icon="%name.png" \
  needs="x11" section="Amusement/Arcade" title="Power Manga" \
  longtitle="Shoot them up with 3d graphics"
EOF

mkdir -p $RPM_BUILD_ROOT%_miconsdir
mkdir -p $RPM_BUILD_ROOT%_liconsdir
%__install -pm 644 %SOURCE10 $RPM_BUILD_ROOT%_miconsdir/%name.png
%__install -pm 644 %SOURCE11 $RPM_BUILD_ROOT%_iconsdir/%name.png
%__install -pm 644 %SOURCE12 $RPM_BUILD_ROOT%_liconsdir/%name.png

chmod 2711 $RPM_BUILD_ROOT%_gamesbindir/%name

%post
%update_menus

%postun
%clean_menus

%files
%doc README
%attr(0660, games, games) %_localstatedir/games/*
%attr(-, root, games) %_gamesbindir/*
%_gamesdatadir/*
%_mandir/*/*
%_menudir/%name
%_miconsdir/%name.png
%_iconsdir/%name.png
%_liconsdir/%name.png

%changelog
* Tue Jan 18 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.78-alt1.1
- Rebuilt with libstdc++.so.6.

* Mon Oct 27 2003 Stanislav Ievlev <inger@altlinux.ru> 0.78-alt1
- 0.78

* Tue Apr 29 2003 Stanislav Ievlev <inger@altlinux.ru> 0.76-alt1
- 0.76

* Thu Oct 10 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.74-alt1
- 0.74

* Thu Sep 19 2002 Stanislav Ievlev <inger@altlinux.ru> 0.73-alt1.1
- rebuild with new XFree86
- added buildreq

* Wed Sep 04 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.73-alt1
- 0.73
- Updated patches
- Updated CFLAGS
- fixed permissions to score files

* Fri Aug 09 2002 Stanislav Ievlev <inger@altlinux.ru> 0.71c-alt2.1
- fixed suid/sgid permissions

* Sat Jun 9 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.71c-alt2
- Fixed permission for /var/lib/games/powermanga.hi

* Fri Jun 8 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.71c-alt1
- New version 0.71c
- Added some Mandrake Cooker patches

* Tue Jan 16 2001 Kostya Timoshenko <kt@petr.kz>
- Build for RE

* Wed Dec 27 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.71-2mdk
- ix86 only.

* Tue Nov 28 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.71-1mdk
- mdk package
